@echo off

setlocal

REM ********************************************
REM setting the adapter specific variables here

REM set the name to be the application connector that is starting
set CONNAME=%1

REM set the server name to be the interchange that is being targeted
set SERVER=%2

REM set the Connector package name that needs to be sent as a parameter to start_adaper.bat
set CONNPACKAGENAME=com.crossworlds.connectors.jtext.ConnectorAgent

REM For CAP - none

REM end adapter specific tasks
REM ********************************************

REM if WBIA_RUNTIME is set use start_adapter launcher to run adapter.
if "%WBIA_RUNTIME%"=="" goto CROSSWORLDS


REM *****----- If WBIA_RUNTIME exists, call CWConnEnv
call "%WBIA_RUNTIME%"\bin\CWConnEnv

REM set the directory where the JText adapter resides.
set CONNDIR="%WBIA_RUNTIME%"\connectors\%1

REM goto the connector specific directory
cd /d %CONNDIR%

REM set any other variables required 
REM DATAHANDLER and CUST_DATAHANDLER are already included by CwConnEnv
REM IBM_XML and VBJTOOLS are not required during runtime
set AGENT="%WBIA_RUNTIME%"\connectors\JText\CWJText.jar

REM set dependencies
set COMMONS_NET="%CONNDIR%"\Dependencies\jakarta-oro-2.0.8.jar;"%CONNDIR%"\Dependencies\commons-net-1.1.0.jar

REM set the variables that are required for the start_adapter callee
set JVMArgs=
set JCLASSES=.;%JCLASSES%;%AGENT%;%COMMONS_NET%
set LibPath=
set ExtDirs=

call "%WBIA_RUNTIME%\bin\start_adapter" -n%CONNAME%Connector -s%SERVER% -l%CONNPACKAGENAME% %3 %4 %5

pause
goto END

REM *****----- If WBIA_RUNTIME does not exist, run these
REM ************* OLD START SCRIPTS BELOW ***************

REM Here starts the old way of starting up the connector
:CROSSWORLDS

REM @echo off
call "%CROSSWORLDS%"\bin\CWConnEnv
REM setlocal

REM set the directory where the specific connector resides
set CONNDIR="%CROSSWORLDS%"\connectors\%1

REM goto the connector specific drive & directory
cd /d %CONNDIR%


REM set anyother variables
REM DATAHANDLER and CUST_DATAHANDLER are already included by CwConnEnv
REM set DATAHANDLER="%CROSSWORLDS%"\DataHandlers\CwDataHandler.jar
REM set CUST_DATAHANDLER="%CROSSWORLDS%"\DataHandlers\CustDataHandler.jar
set IBM_XML="%CROSSWORLDS%"\DataHandlers\Dependencies\IBM\xml4j.jar
set AGENT="%CROSSWORLDS%"\connectors\JText\CWJText.jar
set VBJTOOLS="%CROSSWORLDS%"\lib\vbjtools.jar

REM For CAP

REM for FTP jar
set COMMONS_NET="%CONNDIR%"\Dependencies\jakarta-oro-2.0.8.jar;"%CONNDIR%"\Dependencies\commons-net-1.1.0.jar

REM set JCLASSES=.;%JCLASSES%;%AGENT%;%DATAHANDLER%;%XML_PARSER%;%VBJTOOLS%;%CUST_DATAHANDLER%;%COMMONS_NET%
set JCLASSES=.;%JCLASSES%;%AGENT%;%IBM_XML%;%VBJTOOLS%;%COMMONS_NET%

REM config file location defaults to HOME\InterchangeSystem.cfg on the local machine

REM start the Java connector under the Java Application End
%CWJAVA% -oss10m -ms64m -mx128m -Djava.ext.dirs="%MQ_LIB%";%JRE_EXT_DIRS% -Djava.library.path="%CROSSWORLDS%"\bin;"%CONNDIR%";"%MQ_LIB%";%JRE_EXT_DIRS% %ORB_PROPERTY% -Duser.home="%CROSSWORLDS%" -cp %JCLASSES% AppEndWrapper -lcom.crossworlds.connectors.jtext.ConnectorAgent -n%CONNAME%Connector -s%SERVER% %3 %4

:END
endlocal

pause
